* {
  padding: 0;
  margin: 0;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: lightpink;
  width: 100vw;
  height: 100vh;
}

.expanding-search-form {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  background-color: lightgreen;
  width: 1000px;
  height: 100px;
}

.form-group {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  width: 95%;
  margin: 0 auto;
}

.expanding-search-form .search-input {
  flex: 3 1 0%;
  width: 100%;
  margin: 0 20px 0 10px;
}

.expanding-search-form .search-dropdown {
  flex: 2 1 0%;
  width: 100%;
  margin: 0 10px 0 5px;
}

.expanding-search-form .search-button {
  flex: 1 1 0%;
  width: 100%;
  margin: 0 10px;
}

.expanding-search-form .search-input > input {
  height: 34px;
  width: 99%;
  font-size: 16px;
  padding: 0 1rem;
  color: #333333;
  border: 1px solid #2c82be;
  border-radius: 5px;
}

.expanding-search-form .search-input > input:focus {
  width: 99%;
  height: 34px;
  outline: none;
  padding: 0 1rem;
  border: none;
}

.expanding-search-form .search-dropdown .dropdown-menu {
  position: relative;
  display: flex;
  flex-direction: column;
}

.expanding-search-form .dropdown-menu > .dropdown-menu__trigger {
  align-items: center;
  border: 1px solid #2c82be;
  border-radius: 5px;
  background: #ffffff;
  cursor: pointer;
  color: #333333;
  display: flex;
  font-size: 16px;
  font-weight: 300;
  height: 34px;
  justify-content: space-between;
  line-height: 34px;
  padding: 0 22px;
  position: relative;
}

.expanding-search-form .dropdown-menu > .dropdown-options {
  border: 1px solid #2c82be;
  background: #ffffff;
  display: none;
  position: absolute;
  pointer-events: none;
  top: 100%;
  transition: all 0.5s;
  width: calc(100% - 2px);
}

.expanding-search-form .dropdown-menu.open .dropdown-options {
  display: block;
  pointer-events: all;
  border-top: 0;
  border-radius: 0 0 5px 5px;
}
.expanding-search-form .dropdown-menu.open .dropdown-menu__trigger {
  border: 1px solid #2c82be;
  border-radius: 5px 5px 0 0;
  border-bottom: none;
}

.expanding-search-form .dropdown-options > .dropdown-option {
  padding: 0 22px;
  position: relative;
  display: flex;
  font-size: 16px;
  font-weight: 300;
  color: #333333;
  height: 34px;
  line-height: 34px;
  cursor: pointer;
  transition: all 0.5s;
}

.expanding-search-form .dropdown-option:hover {
  cursor: pointer;
  color: #ffffff;
  background-color: #2c82be;
}

.expanding-search-form .dropdown-menu__trigger > .arrow {
  background: url("./new_project_arrow.svg") no-repeat center center;
  background-size: 15px 15px;
  height: 15px;
  width: 15px;
}

.expanding-search-form .search-button {
  height: 34px;
  line-height: 34px;
  color: #ffffff;
  background-color: #2c82be;
  text-align: center;
  border: 0;
  border-radius: 5px;
  outline: none;
}

.expanding-search-form .search-button .icon {
  font-size: 20px;
}
